import 'package:flutter/material.dart';

import 'package:pshared/widgets/locale.dart';

import 'package:pweb/generated/i18n/app_localizations.dart';


class LoginAppBar extends StatelessWidget implements PreferredSizeWidget {
  const LoginAppBar({super.key});

  @override
  Widget build(BuildContext context) => AppBar(
    automaticallyImplyLeading: false,
    actions: const [
      LocaleChangerDropdown(availableLocales: AppLocalizations.supportedLocales),
    ],
  );

  @override
  Size get preferredSize => const Size.fromHeight(kToolbarHeight);
}
